ContractUpgradeFlow.Authorise
Keywords: net.corda.core.flows.ContractUpgradeFlow.Authorise class
Date: 2023-09-18

net.corda.core.flows

## Class ContractUpgradeFlow.Authorise

- net.corda.core.flows.FlowLogic<T>
- - net.corda.core.flows.ContractUpgradeFlow.Authorise

- Enclosing class:
    ContractUpgradeFlow

      @StartableByRPC
      public static class ContractUpgradeFlow.Authorise
      extends FlowLogic<T>

  Authorise a contract state upgrade.

  This will store the upgrade authorisation in persistent store, and will be queried by ContractUpgradeFlow.Acceptor during contract upgrade process. Invoking this flow indicates the node is willing to upgrade the `class StateAndRef` using the `interface UpgradedContract` class.

  This flow will NOT initiate the upgrade process. To start the upgrade process, see `class ContractUpgradeFlow.Initiate`.

  See Also:
    ContractUpgradeFlow.Acceptor, `class StateAndRef`, `interface UpgradedContract`, `class ContractUpgradeFlow.Initiate`

- - ### Constructor Detail

    - #### Authorise

          public Authorise(@NotNull
                           StateAndRef<?> stateAndRef,
                           @NotNull
                           java.lang.Class<? extends net.corda.core.contracts.UpgradedContract<?,?>> upgradedContractClass)

      Authorise a contract state upgrade.

      This will store the upgrade authorisation in persistent store, and will be queried by ContractUpgradeFlow.Acceptor during contract upgrade process. Invoking this flow indicates the node is willing to upgrade the `class StateAndRef` using the `interface UpgradedContract` class.

      This flow will NOT initiate the upgrade process. To start the upgrade process, see `class ContractUpgradeFlow.Initiate`.

      See Also:
        ContractUpgradeFlow.Acceptor, `class StateAndRef`, `interface UpgradedContract`, `class ContractUpgradeFlow.Initiate`

  - ### Method Detail

    - #### call

          @Suspendable
           @Nullable
          public java.lang.Void call()

      This is where you fill out your business logic.

    - #### getStateAndRef

          @NotNull
          public StateAndRef<?> getStateAndRef()